program FASTOpenVPNGui;

uses
  Forms,
  uciaservicetools,
  
  Unit1 in 'Unit1.pas' {Main},
  ShowTunnell in 'ShowTunnell.pas' {ShowTunn},
  about in 'about.pas' {AboutBox},
  listprocess in 'listprocess.pas' {Form2},
  RicercaFileeDirectory in 'RicercaFileeDirectory.pas',
  Messaggi in 'Messaggi.pas' {fMessage},
  Licenza in 'Licenza.pas' {licence},
  exdials0 in 'RASManager\exdials0.pas' {FormRAS};

{$R *.res}

begin
  if CiaStartService('FASTOpenVPNGui') then begin
    CiaService.CreateForm(TMain, Main);
    CiaService.CreateForm(TShowTunn, ShowTunn);
    CiaService.CreateForm(TAboutBox, AboutBox);
    CiaService.CreateForm(TForm2, Form2);
    CiaService.CreateForm(TfMessage, fMessage);
    CiaService.CreateForm(Tlicence, licence);
    CiaService.CreateForm(TFormRAS, FormRAS);
    MAIN.TrayBar.Show;
    CiaService.Run;
    Exit;
  end;

  Application.Initialize;
  Application.Title := 'FAST OpenVPN-Gui';
  Application.CreateForm(TMain, Main);
  Application.CreateForm(TShowTunn, ShowTunn);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TfMessage, fMessage);
  Application.CreateForm(Tlicence, licence);
  Application.CreateForm(TFormRAS, FormRAS);
  Application.ShowMainForm:=false;
  MAIN.TrayBar.show;
  Application.Run;
end.
